--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns an array of Strings representing the names of the fields in the result.
- !ruby/struct:SM::Flow::VERB 
  body: "  res=conn.exec(&quot;SELECT foo,bar AS biggles,jim,jam FROM mytable&quot;)\n  res.fields =&gt; [ 'foo' , 'biggles' , 'jim' , 'jam' ]\n"
full_name: PGresult#fields
is_singleton: false
name: fields
params: |
  res.fields()

visibility: public
